{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    EveryPay
*  @copyright since 2015 EveryPay
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
{extends "$layout"}
{block name="content"}
    {capture name=path}
        {l s='SEB Payment Gateway Return' mod='sebpaymentgateway'}
    {/capture}
    {if $transaction_result == 'cancelled'}
        <p class="alert alert-warning">
            {l s='Transaction has been cancelled!' mod='sebpaymentgateway'}
        </p>
    {elseif isset($under_paid) && $under_paid == true}
        <p class="alert alert-danger">
            {l s='There was a problem with the payment amount, please contact customer service.' mod='sebpaymentgateway'}
        </p>
        {if isset($order_info_url)}
            <a class="btn btn-primary" id="orderInfoButton" href="{$order_info_url}" target="_parent">{l s='Order info' mod='sebpaymentgateway'}</a>
        {/if}
    {elseif isset($over_paid) && $over_paid == true}
        <p class="alert alert-info">
            {l s='There was a problem with the payment amount, please contact customer service.' mod='sebpaymentgateway'}
        </p>
        {if isset($order_info_url)}
            <a class="btn btn-primary" id="orderInfoButton" href="{$order_info_url}" target="_parent">{l s='Order info' mod='sebpaymentgateway'}</a>
        {/if}
    {elseif $transaction_result == 'completed' || $transaction_result == 'settled'}
        <p class="alert alert-success">
            {l s='Your order has been completed successfully!' mod='sebpaymentgateway'}
            <a id="orderNextButton" class="btn btn-primary" href="{$order_conf_url}"
               target="_parent">{l s='Next' mod='sebpaymentgateway'}</a>
        </p>
    {elseif $transaction_result == 'sent_for_processing'}
        <p class="alert alert-info">
            {l s='Your order has been received. We are awaiting for your payment to be processed!' mod='sebpaymentgateway'}
        </p>
        <a class="btn btn-primary" id="orderInfoButton" href="{$order_info_url}"
           target="_parent">{l s='Order info' mod='sebpaymentgateway'}</a>
    {elseif $transaction_result === 'no-status'}
        <p class="alert alert-danger">
            {l s='No payment status response received, please notify merchant!' mod='sebpaymentgateway'}<br>
        </p>
    {elseif $transaction_result === 'fail'}
        <p class="alert alert-danger">
            {l s='Error: transaction has not been completed!' mod='sebpaymentgateway'}<br>
        </p>
    {elseif $transaction_result === 'iframe-cancel'}
        <p class="alert alert-danger">
            {l s='Payment was declined. Please try again.' mod='sebpaymentgateway'}<br>
        </p>
        {if isset($opc) && isset($created_before)}
            <a class="btn btn-primary" href="{$link->getPageLink('order-opc', true, NULL, "submitReorder&id_order={$order_reference}")}" target="_parent">{l s='Next' mod='sebpaymentgateway'}</a>
        {else}
            <a class="btn btn-primary" id="cancelOrderNextButton" href="{$checkout_url}" target="_parent">{l s='Next' mod='sebpaymentgateway'}</a>
        {/if}
    {else}
        <p class="alert alert-danger">
            {l s='Payment was declined. Please try again.' mod='sebpaymentgateway'}<br>
        </p>
        {if isset($opc)}
            <a class="btn btn-primary" href="{$link->getPageLink('order-opc', true, NULL, "submitReorder&id_order={$order_reference}")}" target="_parent">{l s='Restore shopping cart' mod='sebpaymentgateway'}</a>
        {elseif isset($checkout_url) && !empty($customer_logged)}
            <a class="btn btn-primary" href="{$checkout_url}">{l s='Restore shopping cart' mod='sebpaymentgateway'}</a>
        {/if}
    {/if}
    <script>
        sessionStorage.setItem('sebpaymentgateway', '{}');
        {if isset($is_iframe) && $is_iframe}
        document.addEventListener('DOMContentLoaded', function () {
            var breadcrumbs = document.getElementsByClassName('breadcrumb_wrapper');
            var headers = document.getElementsByTagName('header');
            var footers = document.getElementsByTagName('footer');
            for (var b = 0; b < breadcrumbs.length; b++) {
                breadcrumbs[b].style.display = 'none';
            }

            for (var h = 0; h < headers.length; h++) {
                headers[h].style.display = 'none';
            }
            for (var f = 0; f < footers.length; f++) {
                footers[f].style.display = 'none';
            }

        });
        {/if}
        if (document.getElementById('orderNextButton')) {
            {if (isset($order_conf_url) && $order_conf_url) || (isset($checkout_url) && $checkout_url)}
                document.getElementById('orderNextButton').click();
            {else}
                document.getElementById('orderNextButton').style.display = "none";
            {/if}
        }
        if (document.getElementById('orderInfoButton')) {
            {if !isset($order_info_url)}
                document.getElementById('orderInfoButton').style.display = "none";
            {/if}
        }
    </script>
{/block}
